/*---------------------------------------------------------------------------*/
// DisC Decompilation Wizard
// written by
// Satish Kumar S
// satish@miel.mot.com
//
// Copyright 1999-2001 Satish Kumar S
//
// Permission is granted to use this software for research purposes as
// long as this notice stays attached to this software.
/*---------------------------------------------------------------------------*/
#include "Global.h"
#include "MyString.h"
class CWizard
{
public:
  Byte far *CodePtr;
  Dword Size;

  void operator = (CWizard &t)
  { CodePtr=t.CodePtr;
    Size = t.Size;
    }
  virtual void SetCodePtr(Byte far *Ptr,Dword size) = 0;
  virtual Byte far *GetMain() = 0;
  virtual Byte far *GetDataSegment() = 0;
  virtual void DisplayProc(Byte far *ProcPtr) = 0;
};
